program all;
var x, y, sum, dif, pro, quo, expr;

procedure absolute(a, b);
var abs;
begin 
  if a < b then
    abs := b-a
  else
    abs := a-b;
  write abs;
end;

procedure power(a, b);
var i, pow;
begin
   pow := 1;
   i := 0;
   if b < 0 then
     while i < -b do
     begin
        pow := pow * a;
        i := i + 1
     end
   else
     while i < b do
     begin
        pow := pow * a;
        i := i + 1
     end;
   write pow;
end;

begin
   x := 4;
   y := 8;

   sum := x+y;
   dif := x-y;
   pro := x*y;
   quo := x div y;
   expr := x+(x-y)*(x-y)+y;
   
   write x, y;
   write sum, dif, pro, quo, expr;
   absolute(x, y);
   power(x, y)
end.
